#ifndef HASH_TEXTURE_H
#define HASH_TEXTURE_H

const int N = 8192;

struct
hashtable{
    int tx_id;
    char* key;
};

class TextureHash {
    hashtable table[N];
public:
    hash(void);
    int hash_function(const char*);
    int hash_regist(const char*);
};

#endif
